input[type="color"] {
  margin: 1vh 5vh 0 2vh;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance:none;
  border: none;
  background:   rgb(138, 97, 243);
  width: 12vh;
  height: 5vh;
  overflow: hidden;
  outline: none;
  cursor: pointer;
  border-radius: .8vh;
}
input[type="color"] webkit-color-swatch {
  border: none;
}
input[type="color"] -moz-color-swatch {
  border: none;
}
label {
  margin-top: 1vh;
  font-size: 1em;
}
.container {
  display: flex;
  flex-direction: row;
}
select.minimal {
  background-image:
  linear-gradient(45deg, transparent 50%, gray 50%),
  linear-gradient(135deg, gray 50%, transparent 50%),
  linear-gradient(to right, #ccc, #ccc);
  background-position:
  calc(100% - 20px) calc(1em + 2px),
  calc(100% - 15px) calc(1em + 2px),
  calc(100% - 2.5em) 0.5em;
  background-size:
  5px 5px,
  5px 5px,
   1px 1.5em;
  background-repeat: no-repeat;
}
select.minimal:focus {
  background-image:
  linear-gradient(45deg, green 50%, transparent 50%),
  linear-gradient(135deg, transparent 50%, green 50%),
  linear-gradient(to right, #ccc, #ccc);
  background-position:
  calc(100% - 15px) 1em,
  calc(100% - 20px) 1em,
  calc(100% - 2.5em) 0.5em;
  background-size:
  5px 5px,
  5px 5px,
  1px 1.5em;
  background-repeat: no-repeat;
  border-color: green;
  outline: 0;
}
  select:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}
select {
  background-color: #f0f0f0;
  border: none;
  border-radius: 20px;
  display: inline-block;
  font: inherit;
  line-height: 1.5em;
  padding: 0.5em 3.5em 0.5em 1em;
  border-radius: 20px;
  margin: 1vh 0 0 2vh;    
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
  }
  


